summaryrefslogtreecommitdiffstats
path: root/network/flvstreamer
diff options
context:
space:
mode:
author Pierre Cazenave2010-05-13 00:59:58 +0200
committer David Somero2010-05-13 00:59:58 +0200
commit8abd0e6e133f7a54bca7a2c5e6eca76bd77f5be9 (patch)
tree25fa9dee5498be77d7c8438ce66f7919adbe2dcd /network/flvstreamer
parent99edd7ff7afef57faf27aa3f17c0198052d6a81a (diff)
downloadslackbuilds-8abd0e6e133f7a54bca7a2c5e6eca76bd77f5be9.tar.gz
network/flvstreamer: Added to 13.0 repository
Diffstat (limited to 'network/flvstreamer')
-rw-r--r--network/flvstreamer/README10
-rw-r--r--network/flvstreamer/flvstreamer.SlackBuild78
-rw-r--r--network/flvstreamer/flvstreamer.info10
-rw-r--r--network/flvstreamer/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/network/flvstreamer/README b/network/flvstreamer/README
new file mode 100644
index 0000000000..e35f5a0473
--- /dev/null
+++ b/network/flvstreamer/README
@@ -0,0 +1,10 @@
+flvstreamer is an open source command-line RTMP client intended to stream
+audio or video content from all types of flash or rtmp servers. Forked
+from rtmpdump v1.6 with encrypted rtmp and swf verification support
+removed. This tool provides free interoperability with the previously
+undocumented adobe RTMP protocol so widely in use on the internet
+today. It was developed entirely by reverse engineering methods and
+without access to any proprietary or restrictive-license protocol
+specifications.
+
+
diff --git a/network/flvstreamer/flvstreamer.SlackBuild b/network/flvstreamer/flvstreamer.SlackBuild
new file mode 100644
index 0000000000..4ddad0dfd2
--- /dev/null
+++ b/network/flvstreamer/flvstreamer.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for flvstreamer.
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flvstreamer
+VERSION=${VERSION:-2.1a}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+export CFLAGS="$SLKCFLAGS"
+make linux
+
+mkdir -p $PKG/usr/bin
+install -m 755 flvstreamer streams rtmpsrv rtmpsuck $PKG/usr/bin
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog{,.rtmpdump} README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/flvstreamer/flvstreamer.info b/network/flvstreamer/flvstreamer.info
new file mode 100644
index 0000000000..f6a8c2eec6
--- /dev/null
+++ b/network/flvstreamer/flvstreamer.info
@@ -0,0 +1,10 @@
+PRGNAM="flvstreamer"
+VERSION="2.1a"
+HOMEPAGE="http://savannah.nongnu.org/projects/flvstreamer"
+DOWNLOAD="http://mirrors.aixtools.net/sv/flvstreamer/source/flvstreamer-2.1a.tar.gz"
+MD5SUM="7b1d1a3ab3cd0d93edd69e7b50ce6aca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/network/flvstreamer/slack-desc b/network/flvstreamer/slack-desc
new file mode 100644
index 0000000000..53636d8702
--- /dev/null
+++ b/network/flvstreamer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+flvstreamer: flvstreamer (open source command-line RTMP client)
+flvstreamer:
+flvstreamer: flvstreamer is an open source command-line RTMP client intended
+flvstreamer: to stream audio or video content from all types of flash or
+flvstreamer: rtmp servers. Forked from rtmpdump v1.6 with encrypted rtmp and
+flvstreamer: swf verification support removed. This tool provides free
+flvstreamer: interoperability with the previously undocumented adobe RTMP
+flvstreamer: protocol so widely in use on the internet today. It was
+flvstreamer: developed entirely by reverse engineering methods and without
+flvstreamer: access to any proprietary or restrictive-license protocol
+flvstreamer: specifications. http://savannah.nongnu.org/projects/flvstreamer